
import { axios } from '@/utils/request'
import request from 'axios'
// import api from './default.js'
import qs from 'qs'
import { upcloud_base_wh_outbound ,upcloud_base_wh_control,upcloud_base_wh} from "@/config/serviceSettings";

//复核登录权限确认
export function postchecLogin(params) {
  return axios({
    url: upcloud_base_wh_control+'/workgroup/verify-permission',
    method: 'post',
    headers: { 'Content-Type': 'application/json' },
    data: params
  })
}

//复核退出
export function postchecLogout(params) {
  return axios({
    url: upcloud_base_wh_outbound+'/inner/check/logout',
    method: 'post',
    headers: { 'Content-Type': 'application/json' },
    data: params
  })
}
//外复核索取
export function outercheckGain(params) {
  return axios({
    url: upcloud_base_wh_outbound+'/picktask/outercheck-gain',
    method: 'post',
    headers: { 'Content-Type': 'application/json' },
    data: params
  })
}
// 是否完成扫描监管码
export function isSupervised(parameter) {
  return axios({
    method: 'post',
    url: upcloud_base_wh_outbound+'/supervisionCode/isSupervised',
    data: parameter
  })
} 
// 是否显示扫描监管码
export function isShowSupervised(parameter) {
  return axios({
    method: 'get',
    url: upcloud_base_wh+'/warehouse',
    params: parameter
  })
}
//外复核复核确认
export function outercheckConfirm(params) {
  return axios({
    url: upcloud_base_wh_outbound+'/picktask/outercheck-confirm',
    method: 'post',
    headers: { 'Content-Type': 'application/json' },
    data: params
  })
}

//外复核复核确认
export function picktaskList(params) {
  return axios({
    url: upcloud_base_wh_outbound+'/picktask/list-outercheckd',
    method: 'get',
    // headers: { 'Content-Type': 'application/json' },
    params: params
  })
}
//外复核复核打印
export function outerhPrint(params) {
  return axios({
    url: upcloud_base_wh_outbound+'/picktask/print-paperslip-outerh',
    method: 'post',
    headers: { 'Content-Type': 'application/json' },
    data: params
  })
}
//外复核报告单打印
export function outerhPrintouter(params) {
  return axios({
    url: upcloud_base_wh_outbound+'/picktask/print-paperReport-outer',
    method: 'post',
    headers: { 'Content-Type': 'application/json' },
    data: params
  })
}
//外复核复核打印草单
export function outerPapersliphPrint(params) {
  return axios({
    url: upcloud_base_wh_outbound+'	/picktask/print-paperslip-outer',
    method: 'post',
    headers: { 'Content-Type': 'application/json' },
    data: params
  })
}
//查询整件商品明细
export function getouterPaperslist(params) {
  return axios({
    url: upcloud_base_wh_outbound+'/picktask/list-outercheckd',
    method: 'get',
    // headers: { 'Content-Type': 'application/json' },
    params: params
  })
}


//手工集货到位
export function handInPlace(params) {
  return axios({
    url: upcloud_base_wh_outbound+'/picktask/handInPlace',
    method: 'post',
    // headers: { 'Content-Type': 'application/json' },
    data: params
  })
}

/* 查询订单商品明细列表 */
export function orderOne(params) {
  return axios({
    url: upcloud_base_wh_outbound + "/wave/billdbybillid",
    method: "post",
    data: params,
  });
}

/* 查询订单商品明细列表 */
export function outercheck(params) {
  return axios({
    url: upcloud_base_wh_outbound + "/picktask/outercheck-red",
    method: "post",
    data: params,
  });
}